This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 700542 - [Sandybridge] Backlight power management ('dim screen to save power') not operating correctly
[Sandybridge] Backlight power management ('dim screen to save power') not ope...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel (Show other bugs)
15
x86_64 Linux
unspecified Severity low
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
[cat:suspend]
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-04-28 12:02 EDT by Mark Watts
Modified: 2012-08-06 15:58 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
dmesg output with drm.debug=0x04 (122.83 KB, text/plain)
2011-04-30 06:20 EDT, Mark Watts
no flags Details
/var/log/messages with drm.debug=0x04 (75.01 KB, text/plain)
2011-04-30 06:21 EDT, Mark Watts
no flags Details
xorg log with drm.debug=0x04 (28.45 KB, text/plain)
2011-04-30 06:21 EDT, Mark Watts
no flags Details
dmesg output (118.09 KB, text/plain)
2011-05-14 00:56 EDT, Nathanael Noblet
no flags Details
xorg (26.55 KB, text/plain)
2011-05-14 01:01 EDT, Nathanael Noblet
no flags Details

  None (edit)
Description Mark Watts 2011-04-28 12:02:59 EDT
http://www.smolts.org/client/show/?uuid=pub_50841318-5957-4363-92df-e0716623ea47

Fedora 15 Beta, updates as of 28 April.

Screen settings are set to "Dim screen to save power".
This only appears to work if running from battery power, unlike F14.

Also, when you remove the power and the screen dims, mouse/keyboard input used to bring the screen back to the previous power level; it no-longer does this.
Similarly, when you plug the power back in, you do not get full backlight power.

Using the laptops brightness keys works at all times though.
Comment 1 Jared Smith 2011-04-28 12:08:44 EDT
I have the same issue, and also have an Intel graphics controller on my Lenovo T510.
Comment 2 Jared Smith 2011-04-28 12:09:54 EDT
Oops, I forgot to add my smolt ID: http://www.smolts.org/client/show/pub_545da922-c4ee-4d2b-ac62-0387875cd83c
Comment 3 Matěj Cepl 2011-04-29 19:57:49 EDT
Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

Please add drm.debug=0x04 to the kernel command line, restart computer, and attach

* your X server config file (/etc/X11/xorg.conf, if available),
* X server log file (/var/log/Xorg.*.log)
* output of the dmesg command, and
* system log (/var/log/messages)

to the bug report as individual uncompressed file attachments using the bugzilla file attachment link above.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 4 Mark Watts 2011-04-30 06:20:41 EDT
Created attachment 495929 [details]
dmesg output with drm.debug=0x04
Comment 5 Mark Watts 2011-04-30 06:21:09 EDT
Created attachment 495930 [details]
/var/log/messages with drm.debug=0x04
Comment 6 Mark Watts 2011-04-30 06:21:37 EDT
Created attachment 495931 [details]
xorg log with drm.debug=0x04
Comment 7 Mark Watts 2011-04-30 06:22:27 EDT
I have no /etc/X11/xorg.conf file to upload.
Comment 8 Nathanael Noblet 2011-05-14 00:45:36 EDT
I have what I think is the same issue. (Smolt profile provided below).

Here's what I'm experiencing. Regardless of whether the power is plugged in or not, the screen will dim after awhile. When on battery and the screen is dim, plugging in the power does not raise the brightness (I'm 99% positive F14 did this).

I will attach the requested files in a bit.


http://www.smolts.org/client/show/pub_e039b436-39ef-4634-9dcf-230f91b533dd
Comment 9 Nathanael Noblet 2011-05-14 00:53:50 EDT
I just realized - I don't have a sandybridge device... However very similar behaviour... debug attachments coming.
Comment 10 Nathanael Noblet 2011-05-14 00:56:04 EDT
Created attachment 498901 [details]
dmesg output
Comment 11 Nathanael Noblet 2011-05-14 01:01:08 EDT
Created attachment 498902 [details]
xorg
Comment 12 Nathanael Noblet 2011-05-14 01:01:36 EDT
/var/log/messages is empty??? not sure why.
Comment 13 Fedora End Of Life 2012-08-06 15:56:41 EDT
This message is a notice that Fedora 15 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 15. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 15 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 14 Fedora End Of Life 2012-08-06 15:58:46 EDT
This message is a notice that Fedora 15 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 15. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 15 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.